## org.eclipse.datatools.modelbase.sql.tables
Interface SQLTablesPackage.Literals

Enclosing interface:
  SQLTablesPackage

    public static interface SQLTablesPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EEnum` `ACTION_GRANULARITY_TYPE` The meta object literal for the '`Action Granularity Type`' enum.
`static org.eclipse.emf.ecore.EEnum` `ACTION_TIME_TYPE` The meta object literal for the '`Action Time Type`' enum.
`static org.eclipse.emf.ecore.EClass` `BASE_TABLE` The meta object literal for the '`Base Table`' class.
`static org.eclipse.emf.ecore.EReference` `BASE_TABLE__CONSTRAINTS` The meta object literal for the 'Constraints' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `BASE_TABLE__REFERENCING_FOREIGN_KEYS` The meta object literal for the 'Referencing Foreign Keys' reference list feature.
`static org.eclipse.emf.ecore.EEnum` `CHECK_TYPE` The meta object literal for the '`Check Type`' enum.
`static org.eclipse.emf.ecore.EClass` `COLUMN` The meta object literal for the '`Column`' class.
`static org.eclipse.emf.ecore.EAttribute` `COLUMN__DEFAULT_VALUE` The meta object literal for the 'Default Value' attribute feature.
`static org.eclipse.emf.ecore.EReference` `COLUMN__GENERATE_EXPRESSION` The meta object literal for the 'Generate Expression' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `COLUMN__IDENTITY_SPECIFIER` The meta object literal for the 'Identity Specifier' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `COLUMN__IMPLEMENTATION_DEPENDENT` The meta object literal for the 'Implementation Dependent' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `COLUMN__NULLABLE` The meta object literal for the 'Nullable' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `COLUMN__SCOPE_CHECK` The meta object literal for the 'Scope Check' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `COLUMN__SCOPE_CHECKED` The meta object literal for the 'Scope Checked' attribute feature.
`static org.eclipse.emf.ecore.EReference` `COLUMN__TABLE` The meta object literal for the 'Table' container reference feature.
`static org.eclipse.emf.ecore.EClass` `DERIVED_TABLE` The meta object literal for the '`Derived Table`' class.
`static org.eclipse.emf.ecore.EReference` `DERIVED_TABLE__QUERY_EXPRESSION` The meta object literal for the 'Query Expression' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `PERSISTENT_TABLE` The meta object literal for the '`Persistent Table`' class.
`static org.eclipse.emf.ecore.EEnum` `REFERENCE_TYPE` The meta object literal for the '`Reference Type`' enum.
`static org.eclipse.emf.ecore.EClass` `TABLE` The meta object literal for the '`Table`' class.
`static org.eclipse.emf.ecore.EReference` `TABLE__COLUMNS` The meta object literal for the 'Columns' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `TABLE__INDEX` The meta object literal for the 'Index' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `TABLE__INSERTABLE` The meta object literal for the 'Insertable' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TABLE__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `TABLE__SELF_REF_COLUMN_GENERATION` The meta object literal for the 'Self Ref Column Generation' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TABLE__SUBTABLES` The meta object literal for the 'Subtables' reference list feature.
`static org.eclipse.emf.ecore.EReference` `TABLE__SUPERTABLE` The meta object literal for the 'Supertable' reference feature.
`static org.eclipse.emf.ecore.EReference` `TABLE__TRIGGERS` The meta object literal for the 'Triggers' reference list feature.
`static org.eclipse.emf.ecore.EReference` `TABLE__UDT` The meta object literal for the 'Udt' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `TABLE__UPDATABLE` The meta object literal for the 'Updatable' attribute feature.
`static org.eclipse.emf.ecore.EClass` `TEMPORARY_TABLE` The meta object literal for the '`Temporary Table`' class.
`static org.eclipse.emf.ecore.EAttribute` `TEMPORARY_TABLE__DELETE_ON_COMMIT` The meta object literal for the 'Delete On Commit' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEMPORARY_TABLE__LOCAL` The meta object literal for the 'Local' attribute feature.
`static org.eclipse.emf.ecore.EClass` `TRIGGER` The meta object literal for the '`Trigger`' class.
`static org.eclipse.emf.ecore.EAttribute` `TRIGGER__ACTION_GRANULARITY` The meta object literal for the 'Action Granularity' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TRIGGER__ACTION_STATEMENT` The meta object literal for the 'Action Statement' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `TRIGGER__ACTION_TIME` The meta object literal for the 'Action Time' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TRIGGER__DELETE_TYPE` The meta object literal for the 'Delete Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TRIGGER__INSERT_TYPE` The meta object literal for the 'Insert Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TRIGGER__NEW_ROW` The meta object literal for the 'New Row' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TRIGGER__NEW_TABLE` The meta object literal for the 'New Table' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TRIGGER__OLD_ROW` The meta object literal for the 'Old Row' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TRIGGER__OLD_TABLE` The meta object literal for the 'Old Table' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TRIGGER__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static org.eclipse.emf.ecore.EReference` `TRIGGER__SUBJECT_TABLE` The meta object literal for the 'Subject Table' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `TRIGGER__TIME_STAMP` The meta object literal for the 'Time Stamp' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TRIGGER__TRIGGER_COLUMN` The meta object literal for the 'Trigger Column' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `TRIGGER__UPDATE_TYPE` The meta object literal for the 'Update Type' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TRIGGER__WHEN` The meta object literal for the 'When' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `VIEW_TABLE` The meta object literal for the '`View Table`' class.
`static org.eclipse.emf.ecore.EAttribute` `VIEW_TABLE__CHECK_TYPE` The meta object literal for the 'Check Type' attribute feature.

Field Detail

### VIEW_TABLE

    static final org.eclipse.emf.ecore.EClass VIEW_TABLE

  The meta object literal for the '`View Table`' class.

  See Also:
    `ViewTableImpl`, `SQLTablesPackageImpl.getViewTable()`

### VIEW_TABLE__CHECK_TYPE

    static final org.eclipse.emf.ecore.EAttribute VIEW_TABLE__CHECK_TYPE

  The meta object literal for the 'Check Type' attribute feature.

### TEMPORARY_TABLE

    static final org.eclipse.emf.ecore.EClass TEMPORARY_TABLE

  The meta object literal for the '`Temporary Table`' class.

  See Also:
    `TemporaryTableImpl`, `SQLTablesPackageImpl.getTemporaryTable()`

### TEMPORARY_TABLE__LOCAL

    static final org.eclipse.emf.ecore.EAttribute TEMPORARY_TABLE__LOCAL

  The meta object literal for the 'Local' attribute feature.

### TEMPORARY_TABLE__DELETE_ON_COMMIT

    static final org.eclipse.emf.ecore.EAttribute TEMPORARY_TABLE__DELETE_ON_COMMIT

  The meta object literal for the 'Delete On Commit' attribute feature.

### TABLE

    static final org.eclipse.emf.ecore.EClass TABLE

  The meta object literal for the '`Table`' class.

  See Also:
    `TableImpl`, `SQLTablesPackageImpl.getTable()`

### TABLE__COLUMNS

    static final org.eclipse.emf.ecore.EReference TABLE__COLUMNS

  The meta object literal for the 'Columns' containment reference list feature.

### TABLE__SUPERTABLE

    static final org.eclipse.emf.ecore.EReference TABLE__SUPERTABLE

  The meta object literal for the 'Supertable' reference feature.

### TABLE__SUBTABLES

    static final org.eclipse.emf.ecore.EReference TABLE__SUBTABLES

  The meta object literal for the 'Subtables' reference list feature.

### TABLE__SCHEMA

    static final org.eclipse.emf.ecore.EReference TABLE__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### TABLE__UDT

    static final org.eclipse.emf.ecore.EReference TABLE__UDT

  The meta object literal for the 'Udt' reference feature.

### TABLE__TRIGGERS

    static final org.eclipse.emf.ecore.EReference TABLE__TRIGGERS

  The meta object literal for the 'Triggers' reference list feature.

### TABLE__INDEX

    static final org.eclipse.emf.ecore.EReference TABLE__INDEX

  The meta object literal for the 'Index' reference list feature.

### TABLE__SELF_REF_COLUMN_GENERATION

    static final org.eclipse.emf.ecore.EAttribute TABLE__SELF_REF_COLUMN_GENERATION

  The meta object literal for the 'Self Ref Column Generation' attribute feature.

### TABLE__INSERTABLE

    static final org.eclipse.emf.ecore.EAttribute TABLE__INSERTABLE

  The meta object literal for the 'Insertable' attribute feature.

### TABLE__UPDATABLE

    static final org.eclipse.emf.ecore.EAttribute TABLE__UPDATABLE

  The meta object literal for the 'Updatable' attribute feature.

### PERSISTENT_TABLE

    static final org.eclipse.emf.ecore.EClass PERSISTENT_TABLE

  The meta object literal for the '`Persistent Table`' class.

  See Also:
    `PersistentTableImpl`, `SQLTablesPackageImpl.getPersistentTable()`

### DERIVED_TABLE

    static final org.eclipse.emf.ecore.EClass DERIVED_TABLE

  The meta object literal for the '`Derived Table`' class.

  See Also:
    `DerivedTableImpl`, `SQLTablesPackageImpl.getDerivedTable()`

### DERIVED_TABLE__QUERY_EXPRESSION

    static final org.eclipse.emf.ecore.EReference DERIVED_TABLE__QUERY_EXPRESSION

  The meta object literal for the 'Query Expression' containment reference feature.

### BASE_TABLE

    static final org.eclipse.emf.ecore.EClass BASE_TABLE

  The meta object literal for the '`Base Table`' class.

  See Also:
    `BaseTableImpl`, `SQLTablesPackageImpl.getBaseTable()`

### BASE_TABLE__CONSTRAINTS

    static final org.eclipse.emf.ecore.EReference BASE_TABLE__CONSTRAINTS

  The meta object literal for the 'Constraints' containment reference list feature.

### BASE_TABLE__REFERENCING_FOREIGN_KEYS

    static final org.eclipse.emf.ecore.EReference BASE_TABLE__REFERENCING_FOREIGN_KEYS

  The meta object literal for the 'Referencing Foreign Keys' reference list feature.

### COLUMN

    static final org.eclipse.emf.ecore.EClass COLUMN

  The meta object literal for the '`Column`' class.

  See Also:
    `ColumnImpl`, `SQLTablesPackageImpl.getColumn()`

### COLUMN__TABLE

    static final org.eclipse.emf.ecore.EReference COLUMN__TABLE

  The meta object literal for the 'Table' container reference feature.

### COLUMN__IDENTITY_SPECIFIER

    static final org.eclipse.emf.ecore.EReference COLUMN__IDENTITY_SPECIFIER

  The meta object literal for the 'Identity Specifier' containment reference feature.

### COLUMN__GENERATE_EXPRESSION

    static final org.eclipse.emf.ecore.EReference COLUMN__GENERATE_EXPRESSION

  The meta object literal for the 'Generate Expression' containment reference feature.

### COLUMN__IMPLEMENTATION_DEPENDENT

    static final org.eclipse.emf.ecore.EAttribute COLUMN__IMPLEMENTATION_DEPENDENT

  The meta object literal for the 'Implementation Dependent' attribute feature.

### COLUMN__NULLABLE

    static final org.eclipse.emf.ecore.EAttribute COLUMN__NULLABLE

  The meta object literal for the 'Nullable' attribute feature.

### COLUMN__DEFAULT_VALUE

    static final org.eclipse.emf.ecore.EAttribute COLUMN__DEFAULT_VALUE

  The meta object literal for the 'Default Value' attribute feature.

### COLUMN__SCOPE_CHECK

    static final org.eclipse.emf.ecore.EAttribute COLUMN__SCOPE_CHECK

  The meta object literal for the 'Scope Check' attribute feature.

### COLUMN__SCOPE_CHECKED

    static final org.eclipse.emf.ecore.EAttribute COLUMN__SCOPE_CHECKED

  The meta object literal for the 'Scope Checked' attribute feature.

### TRIGGER

    static final org.eclipse.emf.ecore.EClass TRIGGER

  The meta object literal for the '`Trigger`' class.

  See Also:
    `TriggerImpl`, `SQLTablesPackageImpl.getTrigger()`

### TRIGGER__SCHEMA

    static final org.eclipse.emf.ecore.EReference TRIGGER__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### TRIGGER__SUBJECT_TABLE

    static final org.eclipse.emf.ecore.EReference TRIGGER__SUBJECT_TABLE

  The meta object literal for the 'Subject Table' reference feature.

### TRIGGER__ACTION_STATEMENT

    static final org.eclipse.emf.ecore.EReference TRIGGER__ACTION_STATEMENT

  The meta object literal for the 'Action Statement' containment reference list feature.

### TRIGGER__TRIGGER_COLUMN

    static final org.eclipse.emf.ecore.EReference TRIGGER__TRIGGER_COLUMN

  The meta object literal for the 'Trigger Column' reference list feature.

### TRIGGER__ACTION_GRANULARITY

    static final org.eclipse.emf.ecore.EAttribute TRIGGER__ACTION_GRANULARITY

  The meta object literal for the 'Action Granularity' attribute feature.

### TRIGGER__WHEN

    static final org.eclipse.emf.ecore.EReference TRIGGER__WHEN

  The meta object literal for the 'When' containment reference feature.

### TRIGGER__TIME_STAMP

    static final org.eclipse.emf.ecore.EAttribute TRIGGER__TIME_STAMP

  The meta object literal for the 'Time Stamp' attribute feature.

### TRIGGER__ACTION_TIME

    static final org.eclipse.emf.ecore.EAttribute TRIGGER__ACTION_TIME

  The meta object literal for the 'Action Time' attribute feature.

### TRIGGER__UPDATE_TYPE

    static final org.eclipse.emf.ecore.EAttribute TRIGGER__UPDATE_TYPE

  The meta object literal for the 'Update Type' attribute feature.

### TRIGGER__INSERT_TYPE

    static final org.eclipse.emf.ecore.EAttribute TRIGGER__INSERT_TYPE

  The meta object literal for the 'Insert Type' attribute feature.

### TRIGGER__DELETE_TYPE

    static final org.eclipse.emf.ecore.EAttribute TRIGGER__DELETE_TYPE

  The meta object literal for the 'Delete Type' attribute feature.

### TRIGGER__OLD_ROW

    static final org.eclipse.emf.ecore.EAttribute TRIGGER__OLD_ROW

  The meta object literal for the 'Old Row' attribute feature.

### TRIGGER__NEW_ROW

    static final org.eclipse.emf.ecore.EAttribute TRIGGER__NEW_ROW

  The meta object literal for the 'New Row' attribute feature.

### TRIGGER__OLD_TABLE

    static final org.eclipse.emf.ecore.EAttribute TRIGGER__OLD_TABLE

  The meta object literal for the 'Old Table' attribute feature.

### TRIGGER__NEW_TABLE

    static final org.eclipse.emf.ecore.EAttribute TRIGGER__NEW_TABLE

  The meta object literal for the 'New Table' attribute feature.

### CHECK_TYPE

    static final org.eclipse.emf.ecore.EEnum CHECK_TYPE

  The meta object literal for the '`Check Type`' enum.

  See Also:
    `CheckType`, `SQLTablesPackageImpl.getCheckType()`

### REFERENCE_TYPE

    static final org.eclipse.emf.ecore.EEnum REFERENCE_TYPE

  The meta object literal for the '`Reference Type`' enum.

  See Also:
    `ReferenceType`, `SQLTablesPackageImpl.getReferenceType()`

### ACTION_TIME_TYPE

    static final org.eclipse.emf.ecore.EEnum ACTION_TIME_TYPE

  The meta object literal for the '`Action Time Type`' enum.

  See Also:
    `ActionTimeType`, `SQLTablesPackageImpl.getActionTimeType()`

### ACTION_GRANULARITY_TYPE

    static final org.eclipse.emf.ecore.EEnum ACTION_GRANULARITY_TYPE

  The meta object literal for the '`Action Granularity Type`' enum.

  See Also:
    `ActionGranularityType`, `SQLTablesPackageImpl.getActionGranularityType()`